module M1
implicit none

type T1
    private
    integer :: field1=0
end type 

contains

    function F1() result (Tvar)
        type(T1) :: Tvar
       inquire( iolength=Tvar%field1 ) 100,200
    end function

end module M1
